Bug 131341 - NFS Export Directory Name must be underneath the device mount point
Summary: NFS Export Directory Name must be underneath the device mount point
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clumanager   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-31 09:28 UTC by ilja lunev
Modified: 2009-04-16 20:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 15:14:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ilja lunev 2004-08-31 09:28:39 UTC
Description of problem:

if I try add a second NFS child to NFS Service it come the message:

NFS Export Directory Name must be underneath the device mount point

I want two to add two mount points:

/storage
/storage2


Version-Release number of selected component (if applicable):

redhat-config-cluster 1.0.2
clumanager 1.2.16
How reproducible:


Steps to Reproduce:
1. in cluster configuraton window: (services tab) - add child - nfs
export directory name - /storage
2. the same second time, but directory name is now /storage2
3. error: 
  NFS Export Directory Name must be underneath the device mount point

Actual results:


Expected results:

I want have two NFS export directories:
/storage
/storage2

Additional info:

Comment 1 Lon Hohberger 2004-08-31 15:14:24 UTC
Expected behavior.  You must use the full path when defining an NFS
export.

Thus, if you had /mnt/sda1 as your mount point for a cluster-managed
device /dev/sda1 and wanted to export the "foo" directory (off of
/dev/sda1's root directory), you would have to type in
"/mnt/sda1/foo", not "/foo".

Exporting arbitrary paths as part of a clustered NFS service is not
supported (e.g. you can not export your "/usr" directory as part of a
clustered service).  Similarly, using symlinks (e.g. a link of /foo to
/mnt/sda1/foo) isn't supported.

Comment 2 Lon Hohberger 2007-12-21 15:10:15 UTC
Fixing product name.  Clumanager on RHEL3 was part of RHCS3, not RHEL3


Note You need to log in before you can comment on or make changes to this bug.